Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1794363 - saga: FTBFS in rawhide: error: narrowing conversion of 'wkbPoint25D' from 'unsigned int' to 'int'
Summary: saga: FTBFS in rawhide: error: narrowing conversion of 'wkbPoint25D' from 'un...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: saga
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-01-23 12:17 UTC by Jitka Plesnikova
Modified: 2021-12-31 09:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-29 09:08:42 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-01-23 12:17:42 UTC
Description of problem:
Package saga fails to build from source in Fedora rawhide with followig errors:

ogr_driver.cpp: In static member function 'static TSG_Vertex_Type CSG_OGR_Drivers::Get_Vertex_Type(int)':
ogr_driver.cpp:222:7: error: narrowing conversion of 'wkbPoint25D' from 'unsigned int' to 'int' [-Wnarrowing]
  222 |  case wkbPoint25D:    // 2.5D extension as per 99-402
      |       ^~~~~~~~~~~
ogr_driver.cpp:223:7: error: narrowing conversion of 'wkbMultiPoint25D' from 'unsigned int' to 'int' [-Wnarrowing]
  223 |  case wkbMultiPoint25D:   // 2.5D extension as per 99-402
      |       ^~~~~~~~~~~~~~~~

Version-Release number of selected component (if applicable):
2.2.7-16.fc31

Steps to Reproduce:
koji build --scratch f32 saga-2.2.7-16.fc31.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/saga

Comment 1 Ben Cotton 2020-02-11 17:27:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:22:41 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:22:25 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-08 04:22:26 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-03-19).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 5 Fedora Release Engineering 2020-03-29 04:22:28 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-03-19).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 6 Miro Hrončok 2020-03-29 09:08:42 UTC
The following builds were made after this report was opened: saga-7.6.1-1.fc32


Note You need to log in before you can comment on or make changes to this bug.